## r-cran-diffobj 0.2.3

=== DESCRIPTION ===
Package: diffobj
Type: Package
Title: Diffs for R Objects
Description: Generate a colorized diff of two R objects for an intuitive
    visualization of their differences.
Version: 0.2.3
Authors@R: c(
    person(
    "Brodie", "Gaslam", email="brodie.gaslam@yahoo.com",
    role=c("aut", "cre")),
    person(
    "Michael B.", "Allen", email="ioplex@gmail.com",
    role=c("ctb", "cph"),
    comment="Original C implementation of Myers Diff Algorithm"))
Depends: R (>= 3.1.0)
License: GPL (>= 2)
LazyData: true
URL: https://github.com/brodieG/diffobj
BugReports: https://github.com/brodieG/diffobj/issues
RoxygenNote: 6.1.1
VignetteBuilder: knitr
Encoding: UTF-8
Suggests: knitr, rmarkdown, testthat
Collate: 'capt.R' 'options.R' 'pager.R' 'check.R' 'finalizer.R'
        'misc.R' 'html.R' 'styles.R' 's4.R' 'core.R' 'diff.R' 'get.R'
        'guides.R' 'hunks.R' 'layout.R' 'myerssimple.R' 'rdiff.R'
        'rds.R' 'set.R' 'subset.R' 'summmary.R' 'system.R' 'text.R'
        'tochar.R' 'trim.R' 'word.R'
Imports: crayon (>= 1.3.2), tools, methods, utils, stats
NeedsCompilation: yes
Packaged: 2019-05-13 01:50:00 UTC; bg
Author: Brodie Gaslam [aut, cre],
  Michael B. Allen [ctb, cph] (Original C implementation of Myers Diff
    Algorithm)
Maintainer: Brodie Gaslam <brodie.gaslam@yahoo.com>
Repository: CRAN
Date/Publication: 2019-05-13 18:50:03 UTC

=== debian/changelog ===
r-cran-diffobj (0.2.3-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.4.0

 -- Andreas Tille <tille@debian.org>  Thu, 18 Jul 2019 15:04:24 +0200

r-cran-diffobj (0.2.2-1) unstable; urgency=medium

  * Initial release (closes: #928611)

 -- Andreas Tille <tille@debian.org>  Tue, 07 May 2019 17:56:43 +0200

=== debian/control ===
Source: r-cran-diffobj
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 12~),
               dh-r,
               r-base-dev,
               r-cran-crayon
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-diffobj
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-diffobj.git
Homepage: https://cran.r-project.org/package=diffobj

Package: r-cran-diffobj
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: diffs for GNU R objects
 This GNU R package generates a colorized diff of two R objects for
 an intuitive visualization of their differences.  It is helpful in
 some test suite packages (mainly vdiffr).

## r-cran-diffobj 0.3.0

=== debian/changelog ===
r-cran-diffobj (0.3.0-1build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 May 2020 14:10:09 +0000

r-cran-diffobj (0.3.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Sat, 23 May 2020 09:30:39 +0200

r-cran-diffobj (0.2.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Sun, 22 Mar 2020 10:35:54 +0100

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,15 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-cran-crayon
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-diffobj
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-diffobj.git
 Homepage: https://cran.r-project.org/package=diffobj
+Rules-Requires-Root: no
 
 Package: r-cran-diffobj
 Architecture: any

## r-cran-diffobj 0.3.2

=== DESCRIPTION ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Title: Diffs for R Objects
 Description: Generate a colorized diff of two R objects for an intuitive
     visualization of their differences.
-Version: 0.2.3
+Version: 0.3.2
 Authors@R: c(
     person(
     "Brodie", "Gaslam", email="brodie.gaslam@yahoo.com",
@@ -17,7 +17,7 @@
 LazyData: true
 URL: https://github.com/brodieG/diffobj
 BugReports: https://github.com/brodieG/diffobj/issues
-RoxygenNote: 6.1.1
+RoxygenNote: 7.1.0
 VignetteBuilder: knitr
 Encoding: UTF-8
 Suggests: knitr, rmarkdown, testthat
@@ -28,10 +28,10 @@
         'tochar.R' 'trim.R' 'word.R'
 Imports: crayon (>= 1.3.2), tools, methods, utils, stats
 NeedsCompilation: yes
-Packaged: 2019-05-13 01:50:00 UTC; bg
+Packaged: 2020-10-05 13:55:24 UTC; bg
 Author: Brodie Gaslam [aut, cre],
   Michael B. Allen [ctb, cph] (Original C implementation of Myers Diff
     Algorithm)
 Maintainer: Brodie Gaslam <brodie.gaslam@yahoo.com>
 Repository: CRAN
-Date/Publication: 2019-05-13 18:50:03 UTC
+Date/Publication: 2020-10-05 17:40:06 UTC

=== debian/changelog ===
r-cran-diffobj (0.3.2-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Wed, 07 Oct 2020 11:14:39 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-crayon

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/diffobj_([-\d.]*)\.tar\.gz

## r-cran-diffobj 0.3.5

=== debian/changelog ===
r-cran-diffobj (0.3.5-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 12 Oct 2021 19:53:03 +0200

r-cran-diffobj (0.3.4-2) unstable; urgency=medium

  * Team Upload.
  * [9b55988] Revert "Drop broken but possibly harmless test"
  * [10d36d8] d/t/run-unit-test: Modify autopkgtests to diff properly

 -- Nilesh Patra <nilesh@debian.org>  Thu, 23 Sep 2021 02:07:16 +0530

r-cran-diffobj (0.3.4-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * Disable reprotest
  * Drop broken but possibly harmless test

 -- Andreas Tille <tille@debian.org>  Wed, 22 Sep 2021 08:46:33 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-r,
                r-base-dev,
                r-cran-crayon
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-diffobj
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-diffobj.git
 Homepage: https://cran.r-project.org/package=diffobj

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_fixperms:
	dh_fixperms
	find debian -iname "*.Rmd" -exec chmod -x \{\} \;

override_dh_install:
	dh_install
	find debian -name COPYRIGHTS -delete

## r-cran-diffobj 0.3.6

=== debian/changelog ===
r-cran-diffobj (0.3.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 18 Dec 2025 11:06:55 +0900

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,10 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-crayon
-Standards-Version: 4.6.0
+               r-cran-crayon,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-diffobj
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-diffobj.git
 Homepage: https://cran.r-project.org/package=diffobj
